# -*- coding: utf-8 -*-
from .user import UserHandler
from .asset import AssetHandler
from .asset_ips import AssetIPHandler
from .scan import ScanAsset
from .report import Reports
from .api_v2 import URLs


class VulnerabilityService(AssetHandler, AssetIPHandler, UserHandler):

    def __init__(self, session, api="api/2.0/", urls=URLs):
        self.FORMAT = "xml"
        self.scanner = ScanAsset(session=session, endpoint=api, uri=urls)
        self.report = Reports(session=session, api_version=api, urls_map=urls)
        super(VulnerabilityService, self).__init__(session=session,
                                                   api_version=api,
                                                   urls_map=urls)

    def __call__(self):
        return "Hello, Vulnerability"
