# -*- coding: utf-8 -*-
import unittest
import pyqualys


class TestCheckService(unittest.TestCase):
    @classmethod
    def setUpClass(cls):
        cls.__instance = pyqualys.QualysAPI(username="abc",
                                            password="abc@1",
                                            host="https://qualys.com/")
        cls.__service = cls.__instance.service("vulnerability")

    def test_services_instance(self):
        for service in self.__instance.list_services():
            actual = self.__instance.service(service).__class__.__name__
            expected = service.title()+"Service"
            self.assertEqual(actual, expected)


if __name__ == '__main__':
    suite = unittest.TestLoader().loadTestsFromTestCase(TestCheckService)
    unittest.TextTestRunner(verbosity=2).run(suite)
